/*==================================================================================================
* Package : S32Z2E2 BIST example source code
* File    : MMC_GLS_FULL.h
*
*   Copyright 2024 NXP
*   NXP Confidential and Proprietary. This software is owned or controlled by NXP and may only
*   be used strictly in accordance with the applicable license terms. By expressly accepting
*   such terms or by downloading, installing, activating and/or otherwise using the software,
*   you are agreeing that you have read, and that you agree to comply with and are bound by,
*   such license terms. If you do not agree to be bound by the applicable license terms, then
*   you may not retain, install, activate or otherwise use the software.
*
*   THIS SOFTWARE IS PROVIDED BY NXP "AS IS" AND ANY EXPRESSED OR
*   IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
*   OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
*   IN NO EVENT SHALL NXP OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
*   INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
*   (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
*   SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
*   HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
*   STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
*   IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
*   THE POSSIBILITY OF SUCH DAMAGE.
*
==================================================================================================*/
#ifndef MMC_GLS_FULL_H_
#define MMC_GLS_FULL_H_

#define CAST32	*
#define REG32	(uint32_t *)
#define INFO	//


void lbist_setup_mmc_pl_ddr() ;
void lbist_setup_mmc_pl_dfa() ;
void lbist_setup_mmc_pl_gtm() ;
void lbist_setup_mmc_pl_hse() ;
void lbist_setup_mmc_pl_ne() ;
void lbist_setup_mmc_pl_nw() ;
void lbist_setup_mmc_pl_se() ;
void lbist_setup_mmc_pl_ss_rtu0_core_clust() ;
void lbist_setup_mmc_pl_ss_rtu0_rest() ;
void lbist_setup_mmc_pl_ss_rtu1_core_clust() ;
void lbist_setup_mmc_pl_ss_rtu1_rest() ;
void lbist_setup_mmc_pl_sw() ;
void lbist_setup_mmc_pl_xm8() ;
void lbist_setup_mmc_pl_north() ;


#endif /* MMC_GLS_FULL_H_ */
